@import "fonts.css";

@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
  /* discover */
  .discover-info-item {
    @apply flex items-center gap-x-3;
  }

  .discover-info-item:not(:last-child) {
    @apply pr-10 border-r border-opacity-20 border-black mr-10
  }

  .discover-info-item-data {
    @apply flex flex-col gap-y-[6px] font-inter;
  }

  .discover-info-item-data__title {
    @apply text-[14px] leading-[17px] font-[600] text-opacity-[0.56];
  }

  .discover-info-item-data__text {
    @apply text-[16px] leading-[20px] font-[600];
  }

  /* examples header */
  .examples-header {
    @apply flex items-center justify-between mb-10 mt-[60px];
  }

  .examples-header__title {
    @apply font-bold text-[32px] leading-[48px];
  }

  .examples-header-arrows {
    @apply flex items-center gap-x-2;
  }

  .examples-header-arrows-arrow {
    @apply w-10 h-10 rounded-full bg-no-repeat bg-center;
  }

  .examples-header-arrows-arrow.left {
    background-image: url("../src/img/examples/arrow-left.svg");
  }

  .examples-header-arrows-arrow.right {
    background-image: url("../src/img/examples/arrow-right.svg");
  }

  /* examples items */

  .examples-items {
    @apply grid grid-cols-3 gap-x-10;
  }

  .examples-items-card {
    @apply flex flex-col gap-y-7 bg-white rounded-[32px] p-5;
  }

  .examples-items-card-bottom {
    @apply flex flex-col;
  }

  .examples-items-card__title {
    @apply font-bold text-[20px] leading-[38px];
  }

  .examples-items-card-bid {
    @apply flex items-center gap-x-4 text-[16px] leading-[28px] mb-6;
  }

  .examples-items-card-bid__name {
    @apply text-black text-opacity-[0.56];
  }

  .examples-items-card-bid__value {
    @apply text-black text-opacity-[0.56] font-bold;
  }

  .examples-items-card-info {
    @apply flex items-center justify-between;
  }

  .examples-items-card-info-author {
    @apply flex items-center gap-x-4 font-[800] text-[16px] leading-[28px];
  }

  .examples-items-card-info-time {
    @apply flex items-center gap-x-1;
  }

  .examples-items-card-info-time__tag {
    @apply bg-opacity-90 rounded-[20px] px-2 text-white text-[14px] leading-[24px] uppercase;
  }

  .examples-items-card-info-time__tag.hours {
    @apply bg-[#ED5671];
  }

  .examples-items-card-info-time__tag.minutes {
    @apply bg-[#5E5BE7];
  }

  .examples-items-card-info-time__tag.seconds {
    @apply bg-[#A1D18A];
  }
}
